#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# RSSBOT - bot you can use to display RSS feeds.

""" setup.py """

from setuptools import setup

def readme():
    with open('README') as file:
        return file.read()

setup(
    name='rssbot',
    version='13',
    url='https://bitbucket.org/bthate/rssbot',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description="IRC bot you can use to display RSS feeds.",
    long_description=readme(),
    license='Public Domain',
    zip_safe=True,
    install_requires=["botmod"],
    scripts=["bin/rssbot"],
    packages=["rssbot"],
    data_files=[("", ["README"])],
    classifiers=['Development Status :: 3 - Alpha',
                 'License :: Public Domain',
                 'Operating System :: Unix',
                 'Programming Language :: Python',
                 'Topic :: Utilities'
                ]
)
